Update a serverhost
curl --request PUT \
--url https://controller.platform.simplecloud.app/v0/serverhosts \
--header 'Content-Type: application/json' \
--header 'X-Network-ID: <x-network-id>' \
--header 'X-Network-Secret: <x-network-secret>' \
--data '
{
"host_name": "ServerHost-1",
"maximum_memory": 8192,
"serverhost_access_mode": "MANAGED_GATEWAY",
"serverhost_custom_url": "https://files.example.com"
}
'import requests
url = "https://controller.platform.simplecloud.app/v0/serverhosts"
payload = {
"host_name": "ServerHost-1",
"maximum_memory": 8192,
"serverhost_access_mode": "MANAGED_GATEWAY",
"serverhost_custom_url": "https://files.example.com"
}
headers = {
"X-Network-ID": "<x-network-id>",
"X-Network-Secret": "<x-network-secret>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Network-ID': '<x-network-id>',
'X-Network-Secret': '<x-network-secret>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
host_name: 'ServerHost-1',
maximum_memory: 8192,
serverhost_access_mode: 'MANAGED_GATEWAY',
serverhost_custom_url: 'https://files.example.com'
})
};
fetch('https://controller.platform.simplecloud.app/v0/serverhosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auto_update_targeted_version": true,
"created_at": "2023-01-01T12:00:00Z",
"deactivated": false,
"deactivated_at": "2023-01-01T12:00:00Z",
"host_name": "ServerHost-1",
"installed_java_versions": [
8,
17,
21
],
"last_keep_alive": "2023-01-01T12:00:00Z",
"maximum_memory": 8192,
"message": "Serverhost updated successfully",
"network_id": "123e4567-e89b-12d3-a456-426614174000",
"serverhost_access_mode": "MANAGED_GATEWAY",
"serverhost_custom_url": "https://files.example.com",
"serverhost_gateway_last_connected_at": "2023-01-01T12:00:00Z",
"serverhost_gateway_slug": "9f1f7f2c9a224bb29f9e0f7e5b2a070a",
"serverhost_id": "123e4567-e89b-12d3-a456-426614174000",
"started_at": "2023-01-01T12:00:00Z",
"targeted_version": "1.2.3",
"updated_at": "2023-01-01T12:00:00Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}serverhosts
Update a serverhost
Update an existing serverhost
PUT
/
v0
/
serverhosts
Update a serverhost
Query Parameters
Serverhost ID
Body
application/json
Serverhost details
Response
OK
Response for updating a serverhost
Example:
true
Example:
"2023-01-01T12:00:00Z"
Example:
false
Example:
"2023-01-01T12:00:00Z"
Example:
"ServerHost-1"
Example:
[8, 17, 21]Example:
"2023-01-01T12:00:00Z"
Example:
8192
Example:
"Serverhost updated successfully"
Example:
"123e4567-e89b-12d3-a456-426614174000"
Example:
"MANAGED_GATEWAY"
Example:
"https://files.example.com"
Example:
"2023-01-01T12:00:00Z"
Example:
"9f1f7f2c9a224bb29f9e0f7e5b2a070a"
Example:
"123e4567-e89b-12d3-a456-426614174000"
Example:
"2023-01-01T12:00:00Z"
Example:
"1.2.3"
Example:
"2023-01-01T12:00:00Z"
Was this page helpful?
⌘I